Ubuntu

Activity log for bug #975442

Date Who What changed Old value New value Message
2012-04-06 20:01:09 Jamie Strandboge bug added bug
2012-04-06 20:01:24 Jamie Strandboge bug added subscriber Ubuntu Security Team
2012-04-06 20:01:41 Jamie Strandboge description This is a tracking bug for a dependency of the maas MIR (bug #961344). cobbler is big, has several problem areas in the code and runs as root. Please add an apparmor profile for /usr/bin/cobblerd. This could be in the maas packaging (eg, maas-cobbler?) since maas hides the cobbler configuration from the user and therefore the profile can be tailored specifically for maas. If cobbler ends up in main then the profile would like need to be in the cobbler packaging (it could still be maas specific, but there would be usability issues there). This is a tracking bug for a dependency of the maas MIR (bug #961344). cobbler is big, has several problem areas in the code and runs as root. Please add an apparmor profile for /usr/bin/cobblerd. This could be in the maas packaging (eg, maas-cobbler?) since maas hides the cobbler configuration from the user and therefore the profile can be tailored specifically for maas. If cobbler ends up in main then the profile would like need to be in the cobbler packaging (it could still be maas specific, but there would be usability issues there). This profile should be reviewed by the security team.
2012-04-06 20:02:07 Jamie Strandboge nominated for series Ubuntu Precise
2012-04-06 20:02:07 Jamie Strandboge bug task added maas (Ubuntu Precise)
2012-04-06 20:02:23 Jamie Strandboge maas (Ubuntu Precise): status New Triaged
2012-04-06 20:02:23 Jamie Strandboge maas (Ubuntu Precise): milestone ubuntu-12.04
2012-04-06 20:02:37 Jamie Strandboge tags rls-p-tracking
2012-04-10 17:49:09 Jamie Strandboge maas (Ubuntu Precise): importance Undecided High
2012-04-18 16:28:56 Jamie Strandboge affects maas (Ubuntu Precise) maas-provision (Ubuntu Precise)
2012-04-18 16:31:10 Jamie Strandboge description This is a tracking bug for a dependency of the maas MIR (bug #961344). cobbler is big, has several problem areas in the code and runs as root. Please add an apparmor profile for /usr/bin/cobblerd. This could be in the maas packaging (eg, maas-cobbler?) since maas hides the cobbler configuration from the user and therefore the profile can be tailored specifically for maas. If cobbler ends up in main then the profile would like need to be in the cobbler packaging (it could still be maas specific, but there would be usability issues there). This profile should be reviewed by the security team. This is a tracking bug for a dependency of the maas MIR (bug #961344). maas-provision is a code copy of cobbler, but it only uses a subset of cobbler functionality. cobbler is big, has several problem areas in the code and runs as root. Please add an apparmor profile for /usr/bin/cobblerd to the maas-provision package. This profile should be reviewed by the security team.
2012-04-18 16:40:21 Jamie Strandboge summary add apparmor profile for cobbler add apparmor profile for cobblerd
2012-04-20 18:05:48 Andres Rodriguez maas-provision (Ubuntu Precise): assignee Andres Rodriguez (andreserl)
2012-04-20 18:05:50 Andres Rodriguez maas-provision (Ubuntu Precise): status Triaged In Progress
2012-04-20 18:07:07 Andres Rodriguez attachment added usr.bin.cobblerd https://bugs.launchpad.net/ubuntu/+source/maas-provision/+bug/975442/+attachment/3096185/+files/usr.bin.cobblerd
2012-04-21 14:56:20 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/maas-provision
2012-04-23 09:51:11 Launchpad Janitor maas-provision (Ubuntu Precise): status In Progress Fix Released